Description

This is more a question than a real feature request.

in the case of a module containing modules (such as tracks in Théo's example), shouldn't the children views be binded to the relative
sub-models when the parent binding is changed ?

easier to figure out with the attached patches (you need to have Théo's 0.6 overview in your search path..)

opinions, anyone ???

History
#1 - 2011-05-04 12:28 am - Théo de la Hogue
- Priority changed from Normal to Low

I would like to set the priority lower in order to observe
massive patching examples before to see if more generic
possibilities won't appears.

As I see in your example patch it seems quite easy to
avoid this missing feature and maybe you'll find other
tricks relative to /model/address binding strategy
(like declaring other /model/address.1, .2 yourself
to make a view patcher binding on more 1 model to group
ui feedback...)

Is this sounds good for you ?

#2 - 2011-06-28 09:15 am - Pascal Baltazar

maybe this is something that should work with absolute/relative addresses ?

if there is a slash at the beginning of the argument -> the view will bind to the corresponding address
if there is no slash, then it will bind to the adress below the "parent"

of course, keeping wildcards working would be great !

(currently, wildcards are working, i.e. model/address /myModel.* will bind the view to /myModel.1,  /myModel.2, etc...)
#3 - 2011-07-02 04:35 pm - Pascal Baltazar
- File NestedViewsNew.zip added

a newer patcher, including the changes concerning relative adresses (no slash anymore before model/address)

#4 - 2012-11-16 07:40 pm - Théo de la Hogue

having a jcom.view into a poly~ patcher is problematice : look into equalizer.view.maxpat

#5 - 2013-06-10 05:34 pm - Trond Lossius
- Status changed from New to Closed

Moved to GitHub

Files
NestedViews.zip 1.88 KB 2011-04-23 Pascal Baltazar
NestedViewsNew.zip 2.94 KB 2011-07-02 Pascal Baltazar
